/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.event;

import edu.stanford.smi.protege.server.ServerProject.ProjectStatus;
import edu.stanford.smi.protege.util.AbstractEvent;

public class ServerProjectStatusChangeEvent extends AbstractEvent implements ServerProjectEvent {
    private static final long serialVersionUID = 7117669971447806365L;

    private String projectName;
    private ProjectStatus oldStatus;
    private ProjectStatus newStatus;
    
    public ServerProjectStatusChangeEvent(String projectName, ProjectStatus oldStatus, ProjectStatus newStatus) {
        super(projectName, ServerEventTypes.PROJECT_STATUS_CHANGE_EVENT.getTypeAsInt(), oldStatus, newStatus);
        this.projectName = projectName;
        this.oldStatus = oldStatus;
        this.newStatus = newStatus;
    }
    
    public String getProjectName() {
        return projectName;
    }
    
    public ProjectStatus getOldStatus() {
        return oldStatus;
    }

    public ProjectStatus getNewStatus() {
        return newStatus;
    }
    


}
