/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.widget;

import edu.stanford.smi.protege.resource.*;

/**
 * A tab widget to display when a specified tab widget fails to load (the constructor or the initialize method throw
 * an exception).  Having the system display a "dead" tab widget leads to UI hangs that are difficult to diagnose.  It
 * is unclear which tab is causing the problem.  Thus we replace the bad tab with an Ugly one that "works".  This has
 * the advantage of making it clear which tab is broken.
 * 
 * @author  Ray Fergerson   <fergerson@smi.stanford.edu>
 */
public class UglyTabWidget extends AbstractTabWidget {

    public void initialize() {
        setIcon(Icons.getUglyIcon());
    }
}
